:root {
  --bg-gradient-start: rgb(23, 21, 54);
  --bg-gradient-end: rgb(67, 54, 90);

  --surface-color: rgb(199, 160, 224);
  --surface-color-dark: rgb(132, 101, 190);
  --surface-color-light: rgb(252, 247, 255);
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
}

button {
  border: none;
}

button:hover {
  cursor: pointer;
}

#outer-container {
  background: linear-gradient(to bottom, var(--bg-gradient-end), var(--bg-gradient-start));
  min-height: 100dvh;
  display: flex;
  justify-content: center;
  align-items: center;
}

#login-container {
  background: linear-gradient(to bottom, var(--surface-color), var(--surface-color-dark));
  padding: 2rem;
  width: 100%;
  font-family:
    Segoe UI,
    "Roboto",
    sans-serif;
}

@media (min-width: 768px) {
  #login-container {
    width: 90%;
    border-radius: 1.5rem;
  }
}

@media (min-width: 1024px) {
  #login-container {
    width: 50%;
  }
}

@media (min-width: 1440px) {
  #login-container {
    width: 30%;
  }
}

#login-header {
  text-align: center;
  margin: 1rem;
  font-size: 2.5em;
  font-weight: 1000;
  color: var(--surface-color-light);
  text-shadow: 1px 1px 4px rgb(17, 15, 37);
}

#login-form {
  display: flex;
  flex-direction: column;
  gap: 5rem;
}

#login-input-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

#login-input-container label {
  font-size: 1.25em;
  font-weight: 500;
}

#submit-button {
  border-radius: 1.5rem;
  display: flex;
  justify-content: center;
  width: 70%;
  align-self: center;
  padding: 0.75rem;
  background-color: var(--surface-color-light);
}

#submit-button:hover {
  background-color: rgb(204, 199, 207);
}

#return-to-main-button {
  position: absolute;
  top: 1rem;
  left: 1rem;
  padding: 0.75rem;
  border-radius: 0.5rem;
  color: black;
  text-decoration: none;
  background-color: white;
}

.login-input {
  border: none;
  border-radius: 0.25rem;
  padding: 0.5rem;
}
